
Orangutan - Feature #128

Reminder, organizer and scheduler

09 Mar 2010 17:52 - Andriy Lesyuk

Status: Open Start date:  

Priority: Major Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: 1.06   

Description

Saying you have something you must do before meeting. So it would be great to create a reminder which would remind you to do this

something. The reminder should, of course, support a date... Format can be something like: “Remind me to <do something> on

Monday”. This is an optional feature request. Just an idea.

Related issues:

Duplicates Orangutan - Feature #26: It would be greate to have a reminder Open

History

#1 - 09 Mar 2010 18:02 - Andriy Lesyuk

- Subject changed from It would be greate to have a reminder (former #26) to It would be great to have a reminder (former #26)

#2 - 30 Mar 2010 16:01 - Andriy Lesyuk

- Tracker changed from Bug to Feature

#3 - 23 Oct 2010 12:06 - Andriy Lesyuk

- Target version set to 1.07

#4 - 17 Nov 2010 19:26 - Andriy Lesyuk

Going to add here ideas of possible syntax...

#5 - 23 Nov 2010 19:18 - Andriy Lesyuk

Sometimes you need not to forget to do something... Just reminding is not enough here, in my opinion. Saying you asked Oragnutan to remind you

to... buy milk. But when asked you were to busy to do this and to “scheduler” a later reminder...

So I suggest “aggressive” reminder like:

User: Please ensure that I bought milk till 18:00 today

Orangutan: I will!

And:

in 1 hours - Orangutan: You ask me to ensure that you bought milk? Have you done this?

in 30 minutes - Orangutan: Hm... You did not answer! I really must know - have you done this?!

in 30 minutes + a while - User: No! I'm busy!!!

in 30 minutes + a while - Orangutan: Ok...

in 15 minutes - Orangutan: Do this!!! Or you did?

in 15 minutes + a while - User: Fuck! Ok! Ok! Leaving for!!!..

in 15 minutes + a while - Orangutan: Go do this!!!

in 15 minutes + a while - User went away

in approx. 5 minutes - User went online

in approx. 5 minutes - Orangutan: I really hope you did it?

in approx. 5 minutes - User: Yes!!!

in approx. 5 minutes - Orangutan: Nice!

in approx. 5 minutes - User: Thanks...

That is - Orangutan should remind you during some period (maybe configured and there can be a default period)...
#6 - 25 Nov 2010 19:05 - Andriy Lesyuk

User: Remind me to write status at 17:00 every working Thursday

If “working” is omitted you will get reminder even on holiday Thursday...

#7 - 03 Feb 2011 13:58 - Andriy Lesyuk

- Subject changed from It would be great to have a reminder (former #26) to Reminder, organizer and scheduler (former #26)

#8 - 02 Mar 2011 22:51 - Andriy Lesyuk

- Subject changed from Reminder, organizer and scheduler (former #26) to Reminder, organizer and scheduler

#9 - 19 Apr 2011 13:26 - Andriy Lesyuk

- Priority changed from Minor to Major

“It would be great to have Orangutan reminder” - that’s what I think many times per week...

#10 - 31 Aug 2011 16:45 - Andriy Lesyuk

- Target version changed from 1.07 to 1.06

This should be a main feature of a public gTalk bot.

#11 - 17 Nov 2011 18:03 - Andriy Lesyuk

So I have a proposal of the following syntax:

1. Remind <user> | Ensure that <user> ... | Send <user> ... [mode]

2. ... [text]

3. when I am at home [resource]

4. in <x> days before | on <day> before {then in <x> days} [delay]

5. on 14th [date]

6. each <period> [period]

7. <x> times [count]

8. starting from <date> [start]

#12 - 17 Nov 2011 18:05 - Andriy Lesyuk

Some samples:

Ensure that I pay for hosting in 22 days before 13th of each month

Remind me to check Dexter series each Thursday 10 times from September 8

Ensure that I pay for cable TV and Internet on the last working day of every month

Remind me in a day about the Developer's Day on 256th day of year

Remind me about getting paid on the last day of each month

Tell me in 20 weeks that I should be ready

Tell me to check new series of Supernatural 22 times on each Wednesday evening since September 28 when I am at home (“home” is Jabber

resource)
